Opaque Network Get Extra Config

Opaque Network Get Extra Config
Extra NSX specific properties for opaque network.

Extra NSX specific properties for opaque network.

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/OpaqueNetwork/{moId}/extraConfig
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case OpaqueNetwork/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "key": "string",
        "value": {
            "_typeName": "string"
        }
    }
]
array of object
Optional

Describes the key/value pair of a configured option.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/OpaqueNetwork/{moId}/extraConfig